<div class="image-container">

  {{#if @value}}
    <div class="title text-muted capitalize-first-letter">{{t "main picture"}}</div>
  {{/if}}

  <div class="image-list">
    <DragSortList @isHorizontal={{true}} @draggingEnabled={{not this.isLoading}} @items={{this.value}} @dragEndAction={{this.dragEnd}} @handle="img" as |item index|>
      {{#if item.picture}}
        <div class="d-inline-block image-item-container pe-2 pb-2 pt-2 position-relative">
          <Input::Image @disabled={{this.isLoading}} @picture={{item}} @onToggle360={{fn this.toggle360 index}} @onRemove={{fn this.remove index}} @onRotate={{fn this.rotate index}} draggable="true" />
        </div>
      {{/if}}

      {{#if item.isAdd}}
        <button type="button" {{on "click" this.selectFile}} disabled={{this.isLoading}} class="btn btn-image-add me-2 mt-2 mb-2">
          <div class="label">
            <FaIcon @icon="plus" />
            {{t "add"}}
          </div>
        </button>
      {{/if}}
    </DragSortList>
  </div>

  {{! template-lint-disable require-input-label }}
  <input {{did-insert this.setupFileInput}} {{on "change" this.fileSelected}} type="file" class="image-list-input" accept="image/*;capture=camera" />
</div>